Generation Framework

## org.eclipse.gmf.gmfgraph
Interface BorderRef

All Superinterfaces:
  Border, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  BorderRefImpl

    public interface BorderRef

extends Border

A representation of the model object 'Border Ref'. Border reuse mechanism

The following features are supported:

- `Actual`

See Also:
  `GMFGraphPackage.getBorderRef()`
** Generated **
Model:

Method Summary
`Border` `getActual()` Returns the value of the 'Actual' reference
`void` `setActual(Border value)` Sets the value of the '`Actual`' reference

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getActual

    Border getActual()

  Returns the value of the 'Actual' reference. constraint: actual should not be another BorderRef

  Returns:
    the value of the 'Actual' reference.
  See Also:
    `setActual(Border)`, `GMFGraphPackage.getBorderRef_Actual()`
  ** Generated **
  Model:
    required="true"

### setActual

    void setActual(Border value)

  Sets the value of the '`Actual`' reference.

  Parameters:
    `value` - the new value of the 'Actual' reference.
  See Also:
    `getActual()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.